#!/bin/bash

#########################################################################
#                                                                       #
#                Startskript fr die SWE 2.BW-SIN                       #
#                                                                       #
#  Das Skript ist als Beispiel zu betrachten und muss eventuell an die  #
#  Gegebenheiten des lokalen Projektes angepasst werden.                #
#                                                                       #
#  Es wird angenommen, dass die Kernsoftware gem der allgmeinen Vor-  #
#  gaben installiert wurde, insbesondere die Installation der SWE in    # 
#  Einzel-Unterverzeichnissen unter dem Verzeichnis                     # 
#  "distributionspakete" und die Existenz einer allgemeinen Einstel-    #
#  lungsdatei "einstellungen.sh" im Verzeichnis "../../skripte-bash"    #
#  relativ zum Verzeichnis, in dem dieses Skript residiert, in dem die  #
#  allgemeinen Parameter fr die Datenverteilerkopplung festgelegt sind.#
#                                                                       #
#########################################################################

source ../../skripte-bash/einstellungen.sh


#########################################################################
# Folgende, aus der Datei "einstellungen.sh" bernommene Parameter,     #
# mssen berprft und evtl. angepasst werden                           #
#########################################################################
# Parameter fr den Java-Interpreter
#jvmArgs="-Dfile.encoding=ISO-8859-1"

jvmargs="-Xmx1g"

# Parameter fr den Datenverteiler
#dav1="-datenverteiler=localhost:8083 -benutzer=Tester \
#  -authentifizierung=passwd -debugFilePath=.."


#########################################################################
#                                                                       #
#                        Parameter der SWE                              #
#                                                                       #
#########################################################################

# mit GUI ja/nein
GUI="nein"

# Parameter der Netzdatenquelle
NETZDATENQUELLE=wfs_bw_Default.properties

# LCL-Datei
LCL="LCL5.02.D.NW-060309.csv"

# Pfad fr den Konfigurationsbereich 
KBPFAD="."

# KonfigurationsVerantwortlicher
KV="kv.bw"

# PID des Konfigurationsbereiches
KBPID="kb.verkehrStrassenSegmenteBw"

# Name des Konfigurationsbereiches
KBNAME="Teilmodell Verkehr Global, Anteil StraenSegmente, BW"

# Info des Konfigurationsbereiches
KBINFO="Teilmodell Verkehr"

# mit Abweichungen ja/nein
ABWEICHUNGEN="ja"

# Protokolldatei Abweichungen
ABWEICHUNGSPROTOKOLL="abweichungen.txt"

# zu prfende Netzreferenzen (optional)
NETZREFERENZEN="de.bsvrz.kex.bwsin.NetzReferenzenDefault"

#########################################################################
#                                                                       #
#                  Ausfhrung der Softwareeinheit                       #
#                                                                       #
# Ab hier mssen in dem Skript keine nderungen mehr vorgenommen werden.#
#                                                                       #
#########################################################################

java $jvmArgs -jar de.bsvrz.kex.bwsin-runtime.jar \
 $dav1 \
 -debugLevelFileText=INFO \
 -debugLevelStdErrText=INFO \
 -debugSetLoggerAndLevel=:INFO \
 -guiStatischerImportNetz=$GUI \
 -netzDatenQuelleParameter=$NETZDATENQUELLE \
 -dateiNameLcl=$LCL \
 -pfadNameKonfigurationsBereich=$KBPFAD \
 -KonfigurationsVerantwortlicher=$KV \
 -KonfigurationsBereichsPid=$KBPID \
 -KonfigurationsBereichsName="$KBNAME" \
 -KonfigurationsBereichsInfo="$KBINFO" \
 -mitAbweichungen=$ABWEICHUNGEN \
 -dateiNameProtokoll=$ABWEICHUNGSPROTOKOLL \
 -netzReferenzen=$NETZREFERENZEN 
 