/*
 * Segment 2 (KEx),  SWE 2.Statischer Import Netz
 * Copyright (C) 2007 BitCtrl Systems GmbH 
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weienfelser Strae 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.kex.bwsin;

/**
 * Legt die Referenzen im Datenkatalog fest, die nach dem Import auf ihre
 * G&uuml;ltigkeit &uuml;berpr&uuml;ft werden.
 * 
 * @author BitCtrl Systems GmbH, Gieseler
 * @version $Id: NetzReferenzenDefault.java 9072 2008-05-21 09:41:02Z gieseler $
 * 
 */
public final class NetzReferenzenDefault {
	/**
	 * Enth&aumllt je Eintrag jeweils die Pid des QbjektTyps, die Pid der
	 * konfigurierenden Attributgruppe und den Namen des Attributs, da&szlig;
	 * die Referenz enth&auml;lt.
	 */
	@SuppressWarnings("nls")
	private static final Object[][] NETZREFERENZEN = new Object[][] {
	// ObjektTyp, Attributgruppe, Aspekt, Attributname
	{ "typ.messQuerschnitt", "atg.punktLiegtAufLinienObjekt",
			"asp.eigenschaften", "LinienReferenz" } };

	/**
	 * Gibt die definierten Netzreferenzen zur&uuml;ck.
	 * 
	 * @return die Liste der Netzreferenzen
	 */
	public static Object[][] getNetzReferenzen() {
		return NETZREFERENZEN;
	}

	/**
	 * Privater Konstruktor.
	 */
	private NetzReferenzenDefault() {
		/** */
	}
}
