/*
 * Segment 2 (KEx),  SWE 2.Statischer Import Netz
 * Copyright (C) 2007 BitCtrl Systems GmbH 
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weienfelser Strae 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.kex.bwsin.konfig.kb;

import de.bsvrz.dav.daf.main.ClientDavConnection;

/**
 * Interface Modul Konfigurationsbereich.
 * 
 * @author BitCtrl Systems GmbH, Gieseler
 * @version $Id: SINKonfigurationsBereichInterface.java 10390 2008-07-09 15:06:39Z gieseler $
 * 
 */
public interface SINKonfigurationsBereichInterface {

	/**
	 * Mit dieser Methode kann ein Objekt zum Konfigurationsbereich hinzugefgt
	 * werden.
	 * 
	 * @param objekt
	 *            Konfigurationsobjekt
	 */
	void addObjekt(KonfigurationsObjekt objekt);

	/**
	 * Diese Methode erzeugt den Konfigurationsbereich als XML-Datei.
	 */
	void generiereXML();

	/**
	 * Die Methode versorgt das Modul mit den globalen Daten des
	 * Konfigurationsbereiches.
	 * 
	 * @param davConnection
	 *            Datenverteiler-Verbindung
	 * @param dateiNameKonfigurationsBereich
	 *            Dateiname der Konfigurationsbereichsdatei
	 * @param konfigurationsVerantwortlicher
	 *            Konfigurationsverantwortlicher
	 * @param konfigurationsBereichsPid
	 *            PID des Konfigurationsbereiches
	 * @param konfigurationsBereichsName
	 *            Name des Konfigurationsbereiches
	 * @param konfigurationsBereichsInfo
	 *            Info zum Konfigurationsbereich
	 */

	void initialisiere(ClientDavConnection davConnection,
			String dateiNameKonfigurationsBereich,
			String konfigurationsVerantwortlicher,
			String konfigurationsBereichsPid,
			String konfigurationsBereichsName, String konfigurationsBereichsInfo);
}
