/*
 * Segment 2 (KEx),  SWE 2.Statischer Import Netz
 * Copyright (C) 2007 BitCtrl Systems GmbH 
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weienfelser Strae 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.kex.bwsin.konfig.okstra;

/**
 * Klasse mit statischen Konstanten zum Zugriff auf die Attribute des
 * Feature-Typs 'okstra:Strassenelement'.
 * 
 * @author BitCtrl Systems GmbH, Gieseler
 * @version $Id: OkstraStrassenElement.java 10401 2008-07-10 09:06:04Z gieseler $
 * 
 */
public class OkstraStrassenElement extends OkstraFeature {

	/**
	 * Attribut 'beginnt_bei_VP'.
	 */
	public static final String VON_VP = "beginnt_bei_VP";

	/**
	 * Attribut 'endet_bei_VP'.
	 */
	public static final String NACH_VP = "endet_bei_VP";

	/**
	 * Attribut 'stationiert_auf_AoA'.
	 */
	public static final String STAT_AOA = "stationiert_auf_AoA";

	/**
	 * Attribut 'okstra:Kennung'.
	 */
	public static final String RICHTUNG = "okstra:Kennung";

	/**
	 * Attribut 'tmcLocation_Richtung'.
	 */
	public static final String TMCLOC_RICHTUNG = "tmcLocation_Richtung";

	/**
	 * Attribut 'tmcLocation_Gegenrichtung'.
	 */
	public static final String TMCLOC_GEGENRICHTUNG = "tmcLocation_Gegenrichtung";

	/**
	 * Konstruktor.
	 */
	public OkstraStrassenElement() {
		super("vrz3:StrassenelementInASS", "Straenelement", "vrz3:",
				Boolean.FALSE);
	}

}
