/**
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * Contact Information:<br>
 * BitCtrl Systems GmbH<br>
 * Wei&szlig;enfelser Stra&szlig;e 67<br>
 * 04229 Leipzig<br>
 * Phone: +49 341-490670<br>
 * mailto: info@bitctrl.de
 */

package org.geotools.feature;

import org.geotools.factory.FactoryConfigurationError;

/**
 * @author BitCtrl Systems GmbH, Gieseler
 * @version
 *
 */
public class BWSIN_FeatureTypeBuilder extends DefaultFeatureTypeFactory {

    /**
     * Create a new FeatureTypeFactory with the given typeName.
     *
     * @param name The typeName of the feature to create.
     *
     * @return A new FeatureTypeFactory instance.
     *
     * @throws FactoryConfigurationError If there exists a configuration error.
     */
    public static BWSIN_FeatureTypeBuilder newInstance(String typeName)
        throws FactoryConfigurationError {
        
//        // warning not sure if CommonFactoryFinder is going to cache the instance or not?
//        //
//        Hints hints = GeoTools.getDefaultHints();
//        if( hints == null ){
//            hints = new Hints( Hints.FEATURE_TYPE_FACTORY_NAME, typeName );
//        }
//        else {
//            hints.put( Hints.FEATURE_TYPE_FACTORY_NAME, typeName );
//        }
//        hints.put( Hints.FEATURE_TYPE_FACTORY_NAME, typeName );
        // GYSI
        // return CommonFactoryFinder.getFeatureTypeFactory( hints );
        BWSIN_FeatureTypeBuilder factory = new BWSIN_FeatureTypeBuilder(); 
        
        factory.setName(typeName);
        return factory;
    }
    
    /**
     * A the given AttributeType to this factory.
     *
     * @param type The type to add.
     *
     * @throws NullPointerException If the type is null.
     * @throws IllegalArgumentException If another type exists with the same
     *         name.
     */
    // GYSI
    public final void addType_unchecked(AttributeType type)
        throws NullPointerException, IllegalArgumentException {
        if (type == null) {
            throw new NullPointerException("type");
        }

        // dirty = true;
        // GYSI
        // check(type);
        add(type);
    }
}
